Subject: RE:ORDER STATUS #D2352608EA #Ref 2023071900315633
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Thu, 20 Jul 2023 08:29:34 -0700

Hello Manuel-

We sincerely apologize for the delay of your order. Our warehouse team is not investigating what happened to the order when it was already released but still did not arrive. We appreciate your patience while the order is under investigation. We will update you as soon as possible when the investigation is complete.

Sincreley,

Kyle

Designer Living

[email-masked]

===============================================================================

Hello,

Its been almost 2 months that I placed my order and haven’t get anything.

Please let me know what’s going on I need to know when should I expect my order ASAP.

THANKS